## keystone 2013.2

=== debian/changelog ===
keystone (1:2013.2-0ubuntu1.2) saucy-security; urgency=low

  * SECURITY UPDATE: Keystone trust circumvention through EC2-style tokens
    - debian/patches/CVE-2013-6391.patch: addjust to store the trust_id with
      the ec2 keypair and pass this with metadata when requesting v2 token
    - CVE-2013-6391
    - LP: #1242597

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Dec 2013 13:45:15 -0600

keystone (1:2013.2-0ubuntu1.1) saucy-security; urgency=low

  * SECURITY UPDATE: don't add role when attempting to remove a non-existent
    role
    - debian/patches/CVE-2013-4477.patch: raise RoleNotFound with exception
      ldap.NO_SUCH_OBJECT
    - CVE-2013-4477
    - LP: #1242855

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Nov 2013 09:06:12 -0600
