=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), python-setuptools,
 po-debconf,
 python-all (>= 2.6),
 python-babel,
 python-dogpile.cache (>= 0.5.0),
 python-eventlet,
 python-greenlet,
 python-keystoneclient (>= 1:0.3.0),
 python-ldap,
 python-lxml,
 python-memcache,
 python-migrate,
 python-mox,
 python-netaddr,
 python-netifaces,
 python-nose,
 python-oslo.config (>= 1:1.2.0),
 python-oslo.sphinx,
 python-pam (>= 0.1.4),
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5),
 python-requests (>= 1.0.0),
 python-routes,
 python-sphinx,
 python-sqlalchemy (>= 0.8.2),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.0.8),
 python-webtest,
 python-iso8601,
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/havana
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-pam (>= 0.1.4),
 python-webob (>= 1.0.8),
 python-eventlet,
 python-greenlet,
 python-netaddr,
 python-pastedeploy,
 python-routes,
 python-paste,
 python-sqlalchemy (>= 0.8.2),
 python-migrate,
 python-passlib,
 python-lxml,
 python-iso8601,
 python-keystoneclient (>= 1:0.3.0),
 python-oslo.config (>= 1:1.2.0a3),
 python-babel,
 python-dogpile.cache(>= 0.5.0)
Suggests: python-memcache, python-oauth2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser,
 ssl-cert (>= 1.0.12)
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.
