=== debian/changelog ===
keystone (1:2013.2.3-0ubuntu1~cloud0) precise-havana; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 17 Apr 2014 17:02:58 -0400

keystone (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (b85a531) (LP: #1302575):
    - [a96d1a4] User a more accurate max_delay for reconnects
    - [a120f25] Fix issue deleting ec2-credentials as non-admin user
    - [181c3c1] SQLAlchemy Change to support more strict dialect checking
    - [b6f0e26] Ensure tokens are added to both Trustor and Trustee indexes
    - [b85a531] Fix list_projects_for_endpoint failed bug

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Apr 2014 10:58:26 -0400

keystone (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  [ Chuck Short ]
  * Resynchronize with stable/havana (c22f2ed) (LP: #1284643):
    - [cecee8e] Keystone doesn't handle UTF8 in exceptions LP: 1253905
    - [2e9782b] Keystone doesn't handle UTF8 in exceptions LP: 1253905
    - [1091445] Have tox use pip upgrade when installing
    - [2724951] Orphan exchanges in Qpid and lack of option for making queues
      [un]durable LP: 1178375
    - [a5c7d23] List Trusts generates HTTP Error 500  LP: 1245590
    - [bd23600] publish_errors cfg option is broken  LP: 1240349
    - [987e18e] Adds fixture package from oslo
    - [73968f7] Some Python requirements are not hosted on PyPI LP: 1266513
    - [9056b66] keystone.token.backends.sql list_revoked_tokens performs very
      poorly LP: 1253755
    - [c22f2ed] _update_user_list_with_cas causes significant overhead (when
      using memcached as token store backend) LP: 1251123

  [ James Page ]
  * d/control: Add new BD on python-fixtures.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:41:56 -0500

keystone (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (03ed8c3) (LP: #1262788):
    - [e6adb2f] Opening stable/havana
    - [4221b60] Removing role adds role with LDAP backend LP: 1242855
    - [3c25be5] Update memcache to match global requirements for stable/havana
    - [d927273] Keystone tests determine rootdir relative to pwd LP: 1241198
    - [64ac189] Updated from global requirements
    - [03ed8c3] [OSSA 2013-032] Keystone trust circumvention through EC2-style
      tokens (CVE-2013-6391) LP: 1242597
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-4477.patch: [4221b60]
    - debian/patches/CVE-2013-6391.patch: [03ed8c3]
  * debian/patches/fix-ubuntu-tests.patch: Update to skip a test introduced
    with [03ed8c3] that requires a more recent version of
    python-keystoneclient.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 17 Dec 2013 20:08:25 -0800
