=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python-babel,
  python-dogpile.cache (>= 0.5.0),
  python-eventlet,
+ python-fixtures,
  python-greenlet,
  python-keystoneclient (>= 1:0.3.0),
  python-ldap,
