## keystone 2014.1

=== requirements.txt ===
# keystone dependencies
pbr>=0.6,<1.0
WebOb>=1.2.3
eventlet>=0.13.0
greenlet>=0.3.2
netaddr>=0.7.6
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3
six>=1.5.2
SQLAlchemy>=0.7.8,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4
passlib
lxml>=2.3
iso8601>=0.1.9
python-keystoneclient>=0.7.0
oslo.config>=1.2.0
oslo.messaging>=1.3.0a9
Babel>=1.3
oauthlib>=0.6
dogpile.cache>=0.5.0
jsonschema>=2.0.0,<3.0.0
pycadf>=0.4.1
