=== debian/changelog ===
keystone (1:2014.1.3-0ubuntu2.1) trusty-security; urgency=medium

  * No change rebuild for security:
    - [878f12e] Adds a whitelist for endpoint catalog substitution
      + CVE-2014-3621
      + LP: #1354208

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Oct 2014 12:13:36 -0400

keystone (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  [ Edward Hope-Morley ]
  * Added python-ldap as install dep (LP: #1364854)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Oct 2014 12:54:47 -0400

keystone (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (8485dbc) (LP: #1377136):
    - [89ebfe9] Fix tests comparing tokens
    - [6bf25d0] Fix typo on cache backend module
    - [1c8f9f9] Set LDAP certificate trust options for LDAPS and TLS
    - [878f12e] Adds a whitelist for endpoint catalog substitution
    - [a391713] Remove extraenous instantiations of managers
    - [25cbcf5] Avoid conversion of binary LDAP values
    - [b3765d7] Catalog driver generates v3 catalog from v2 catalog
    - [824f66d] Ensure token is a string
    - [30f9247] Add workaround to support tox 1.7.2
    - [80502d3] Fixes catalog URL formatting to never return None
    - [f3198d8] Updates keystone.catalog.core.format_url tests
    - [c959cbd] Ignore broken endpoints in get_catalog
    - [126440d] Ignore broken endpoints in get_v3_catalog
    - [c48ec38] No longer allow listing users by email
    - [18d4843] Fixes an issue with the XMLEquals matcher
    - [c6cd627] Implicitly ignore attributes that are mapped to None in LDAP
    - [8485dbc] Remove `with_lockmode` use from Trust SQL backend.
  * d/p/fix-requirements.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Oct 2014 09:08:41 -0400

keystone (1:2014.1.2.1-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (935fd60) (LP: #1354159):
    - [6cbf835] Fix revocation event handling with MySQL
    - [c900a6e] Make test_revoke expiry times distinct
    - [5c89c89] Fix revoking a scoped token from an unscoped token
    - [dfb0ff0] Add a test for revoking a scoped token from an unscoped
    - [317f9d3] Fix revoking domain-scoped tokens
    - [cccc3f3] Correct revocation event test for domain_id
    - [bdb88c6] Fix for V2 token issued_at time changing
    - [0c34e79] Add tests related to V2 token issued_at time changing
    - [8e87504] Don't override tox envdir for pep8
    - [774b6ab] Correct the region table to be InnoDB and UTF8
    - [6f8c444] HEAD responses should return same status as GET
    - [44555e8] Ensure that in v2 auth tenant_id matches trust
    - [2baae78] Do not log 14+ INFO lines on a broken pipe error (eventlet)
    - [cef4fbc] Properly invalidate cache for get_*_by_name methods
    - [e08b62a] Make sure domains are enabled by default
    - [7378512] Block delegation escalation of privilege
    - [935fd60] Encode/Decode LDAP parameters to/from UTF-8
  * d/p/fix-requirements.patch: Refreshed.

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Aug 2014 16:47:10 -0400

keystone (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (1716748) (LP: #1328134):
    - [4408625] sql migration: ensure using innodb utf8 for assignment table
    - [786af98] SQL and LDAP fixes for get_roles_for_user_and_project user=group ID
    - [e56fe4c] Updated from global requirements
    - [0bd819c] Removed duplication with list_user_ids_for_project
    - [b932321] Allow any attributes in mapping and include in results
    - [1716748] Treat LDAP attribute names as case-insensitive
  * d/p/fix-requirements.patch: Drop minimum version of six to align to version
    in Ubuntu 14.04.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jun 2014 15:57:33 -0400
