=== debian/control ===
--- 
+++ 
@@ -69,6 +69,7 @@
  python-iso8601,
  python-keystoneclient (>= 1:0.3.0),
  python-kombu (>= 2.4.8),
+ python-ldap,
  python-lockfile,
  python-lxml,
  python-migrate,
