=== debian/tests/control ===
Tests: python-keystone keystone-daemon
Depends: python-keystone, keystone
Restrictions: needs-root
