## keystone 2014.1.5

=== requirements.txt ===
# keystone dependencies
pbr>=0.6,<1.0
WebOb>=1.2.3,<=1.4
eventlet>=0.13.0,<0.16.0
greenlet>=0.3.2,<=0.4.5
netaddr>=0.7.6,<=0.7.14
PasteDeploy>=1.5.0,<=1.5.2
Paste
Routes>=1.12.3,!=2.0
six>=1.6.0,<=1.9.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
passlib
lxml>=2.3,<=3.4.2
iso8601>=0.1.9,<=0.1.10
python-keystoneclient>=0.7.0,<0.12.0
oslo.config>=1.2.0,<1.5
oslo.messaging>=1.3.0,<1.5
Babel>=1.3,<=1.3
oauthlib>=0.6
dogpile.cache>=0.5.0
jsonschema>=2.0.0,<3.0.0
pycadf>=0.4.1,<0.6.0
