=== debian/changelog ===
keystone (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (91255f1) (LP: #1467533):
    - [a1548eb] backend_argument should be marked secret
    - [e6eba4b] Remove oslo.serialization from requirements.txt
    - [0e0efdb] Work with pymongo 3.0
    - [91255f1] Deal with PEP-0476 certificate chaining checking
  * d/p/drop-oslo-serialization.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:38 -0400

keystone (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/p/drop-oslo-serialization.patch: Drop oslo.serialization (LP: #1437741).
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:07:47 -0400

keystone (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (9aec35a) (LP: #1432608):
    - [d72e6fa] Correct initialization order for logging to use eventlet locks
    - [0967058] Additional test coverage for password changes
    - [f45f678] Keystoneclient tests from venv-installed client
    - [5d2e2ce] Fix race on default role creation
    - [35d937d] Fix test_provider_token_expiration_validation transient failure
    - [3817e75] Make sure scoping to the project of a disabled domain result in 401.
    - [9aec35a] Add oslo.serialization for latest keystoneclient
  * d/p/fix-requirements.patch: Rebased
  * d/p/fix-ubuntu-tests.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 09:31:57 +0000
