=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  python-requests (>= 1.0.0),
  python-routes,
  python-setuptools,
- python-six,
+ python-six (>= 1.5.2),
  python-sphinx,
  python-sqlalchemy (>= 0.8.2),
  python-testtools (>= 0.9.32),
@@ -80,6 +80,7 @@
  python-paste,
  python-pastedeploy,
  python-routes,
+ python-six (>= 1.5.2),
  python-sqlalchemy (>= 0.8.2),
  python-webob (>= 1.0.8),
  ${misc:Depends},
