=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,19 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PYTHONPATH=$(CURDIR) bash run_tests.sh -N
+	patch -p1 -R < debian/patches/sql_connection.patch
+	mkdir -p $(CURDIR)/keystone/tests/tmp
+	./run_tests.sh -N -P
+	patch -p1 < debian/patches/sql_connection.patch
 endif
 
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python setup.py build_sphinx
-else
 	mkdir -p $(CURDIR)/doc/build/html
 	mkdir -p $(CURDIR)/doc/build/man
+	sphinx-build -b man doc/source doc/build/man
+	sphinx-build -b html doc/source doc/build/html
 endif
 
 override_dh_install:
@@ -34,7 +37,9 @@
 
 override_dh_clean:
 	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
-	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
+	rm -rf $(CURDIR)/keystone/tests/tmp
+	rm -rf $(CURDIR)/.testrepository
+	rm -rf $(CURDIR)/debian/tmp
 	rm -rf $(CURDIR)/doc/build
 	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
 	# should be fixed upstream or updated here post-essex
