## keystone 2014.2

=== debian/control ===
--- 
+++ 
@@ -6,83 +6,95 @@
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends:
  debhelper (>= 7.0.50),
+ pep8,
  po-debconf,
  python-all (>= 2.6),
- python-babel,
- python-crypto,
- python-dogpile.cache (>= 0.5.0),
- python-eventlet,
- python-greenlet,
- python-iso8601,
- python-jsonschema,
- python-keystoneclient (>= 1:0.4.0),
+ python-babel (>= 1.3),
+ python-dogpile.cache (>= 0.5.3),
+ python-eventlet (>= 0.13.0),
+ python-fixtures (>= 0.3.14),
+ python-greenlet (>= 0.3.2),
+ python-iso8601 (>= 0.1.9),
+ python-jsonschema (>= 2.0.0),
+ python-keystoneclient (>= 1:0.9.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.4.8),
- python-ldap,
- python-lockfile,
+ python-nose,
+ python-lockfile (>= 0.8),
+ python-ldappool,
  python-lxml,
  python-memcache,
- python-migrate,
+ python-migrate (>= 0.9.1),
  python-mock,
- python-mox,
- python-netaddr,
- python-netifaces,
- python-oauthlib,
- python-oslo.config (>= 1:1.2.0),
- python-oslo.messaging,
+ python-netaddr (>= 0.7.6),
+ python-oauthlib (>= 0.6),
+ python-oslo.i18n,
+ python-oslo.config (>= 1:1.4.0~a3),
+ python-oslo.db (>= 0.2.0),
+ python-oslo.messaging (>= 1.4.0~a3),
  python-oslosphinx,
  python-oslotest,
- python-pam (>= 0.1.4),
+ python-oslo.utils (>= 0.1.1),
  python-passlib,
  python-paste,
- python-pastedeploy,
- python-pbr (>= 0.5),
- python-pecan,
- python-pycadf,
+ python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.6),
+ python-posix-ipc,
+ python-pycadf (>= 0.6.0),
  python-pymongo,
- python-requests (>= 1.0.0),
- python-routes,
+ python-requests (>= 1.1.0),
+ python-routes (>= 1.12.3),
  python-setuptools,
- python-six (>= 1.5.2),
+ python-stevedore (>= 0.14),
+ python-six (>= 1.7.0),
  python-sphinx,
- python-sqlalchemy (>= 0.8.2),
- python-testtools (>= 0.9.32),
- python-webob (>= 1.0.8),
+ python-sqlalchemy (>= 0.8.4),
+ python-testtools (>= 0.9.34),
+ python-testscenarios (>= 0.4),
+ python-webob (>= 1.2.3),
  python-webtest,
- python-wsme,
  subunit,
  testrepository
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/icehouse/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/icehouse
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/juno
 XS-Testsuite: autopkgtest
 
 Package: python-keystone
 Architecture: all
 Section: python
 Depends:
- python-babel,
- python-dogpile.cache(>= 0.5.0),
- python-eventlet,
- python-greenlet,
- python-iso8601,
- python-keystoneclient (>= 1:0.3.0),
+ python-babel (>= 1.3),
+ python-dogpile.cache (>= 0.5.3),
+ python-eventlet (>= 0.13.0),
+ python-greenlet (>= 0.3.2),
+ python-iso8601 (>= 0.1.9),
+ python-jsonschema (>= 2.0.0),
+ python-keystoneclient (>= 1:0.9.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.4.8),
- python-ldap,
- python-lockfile,
- python-lxml,
- python-migrate,
- python-netaddr,
- python-oslo.config (>= 1:1.2.0a3),
+ python-migrate (>= 0.9.1),
+ python-netaddr (>= 0.7.6),
+ python-oauthlib (>= 0.6),
+ python-oslo.config (>= 1:1.4.0~a3),
+ python-oslo.messaging (>= 1.4.0~a3),
+ python-oslo.db (>= 0.2.0),
+ python-oslo.i18n (>= 0.1.0),
+ python-oslo.utils (>= 0.1.1),
  python-pam (>= 0.1.4),
  python-passlib,
  python-paste,
  python-pastedeploy,
- python-routes,
- python-six (>= 1.5.2),
- python-sqlalchemy (>= 0.8.2),
- python-webob (>= 1.0.8),
+ python-posix-ipc,
+ python-pycadf (>= 0.6.0),
+ python-routes (>= 1.12.3),
+ python-six (>= 1.7.0),
+ python-sqlalchemy (>= 0.8.4),
+ python-webob (>= 1.2.3),
+ python-ldap,
+ python-ldappool,
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-memcache
