=== debian/changelog ===
keystone (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (5db3733) (LP: #1443429):
    - [e2bbebe] Work with pymongo 3.0
    - [0c7535b] Fix up _ldap_res_to_model for ldap identity backend
    - [e3cfba8] Speed up memcache lock
    - [3db10d0] Correct initialization order for logging to use eventlet locks
    - [2fd68a0] Updated from global requirements
    - [027236c] Don't try to convert LDAP attributes to boolean
    - [ddfa37e] Make identity id mapping handle unicode
    - [a322cee] Improve testing of unicode id mapping
    - [d8b145e] Fix the syntax issue on creating table `endpoint_group`
    - [7a613ae] Keystoneclient tests from venv-installed client
    - [5db3733] Bump stable/juno version to 2014.2.3
    - [b84e22b] Fix race on default role creation
    - [a475757] fix the wrong update logic of catalog kvs driver
    - [75ed605] do parameter check before updating endpoint_group
  * debian/patches/fix-ubuntu-tests.patch: Dropped no longer needed.
 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:34:08 -0400

keystone (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (aa23ce0) (LP: #1418695):
    - [4cdd217] Additional test coverage for password changes
    - [acdf034] explicit namespace prefixes for SAML2 assertion
    - [44c1bd0] Fix modifying a role with same name using LDAP
    - [7fc6585] Add a test for modifying a role to set the name the same
    - [fc6e9e8] Fix disabling entities when enabled is ignored
    - [85c658f] Add tests for enabled attribute ignored
    - [1594c84] Fix update role without name using LDAP
    - [d6ded70] Add test for update role without name
    - [afd4e0d] Exclude domains with inherited roles from user domain list.
    - [eeda52e] Improve testing of exclusion of inherited roles.
    - [e5b660e] Fix project federation tokens for inherited roles.
    - [609c5b3] Improve testing of project federation tokens for inherited roles.
    - [5ec7357] Fix domain federation tokens for inherited roles.
    - [4a914d7] Improve testing of domain federation tokens for inherited roles.
    - [a9a843e] User ids that begin with 0 cannot authenticate through ldap
    - [aa23ce0] Move unit tests from test_backend_ldap
  * d/control: Bump minimum python-eventlet to get socket_timeout support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:32:52 -0500

keystone (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (d7eb999) (LP: #1398952):
    - [f54fa8f] Prevent infinite loop in token_flush
    - [bd92689] Adds IPv6 url validation support
    - [db291b3] Use newer python-ldap paging control API
    - [d7eb999] Add oslo.serialization for latest keystoneclient

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 13:08:52 -0500
