=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python-all (>= 2.6),
  python-babel (>= 1.3),
  python-dogpile.cache (>= 0.5.3),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-fixtures (>= 0.3.14),
  python-greenlet (>= 0.3.2),
  python-iso8601 (>= 0.1.9),
@@ -68,7 +68,7 @@
 Depends:
  python-babel (>= 1.3),
  python-dogpile.cache (>= 0.5.3),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-greenlet (>= 0.3.2),
  python-iso8601 (>= 0.1.9),
  python-jsonschema (>= 2.0.0),
