=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,12 @@
 override_dh_auto_test:
 	patch -p1 -R < debian/patches/sql_connection.patch
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	./run_tests.sh -N -P
+	rm -rf .testrepository
+	testr init && \
+		set -e && \
+		TEMP_REZ=`mktemp -t` && \
+		testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+		rm -f $$TEMP_REZ
 	patch -p1 < debian/patches/sql_connection.patch
 endif
 
@@ -28,7 +33,7 @@
 endif
 
 override_dh_install:
-	dh_install --fix-missing
+	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc
 	rm -rf debian/python-keystone/usr/lib/python*/*/tools
 	rm -rf debian/python-keystone/usr/lib/python*/*/examples
