=== debian/changelog ===
keystone (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 12:13:18 -0500

keystone (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:26 -0500

keystone (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (695153a) (LP: #1518323):
    - [37b53ed] Test v2 tokens being deleted by v3
    - [d2d6aba] Eventlet green threads not released back to pool
    - [c15cbc4] Mask passwords in debug log on user password operations
    - [a703754] Add test showing password logged
    - [523cffa] Fix xmldsig import
    - [10d3b27] Deal with PEP-0476 certificate chaining checking
    - [695153a] backend_argument should be marked secret
  * d/p/fix-requirements.patch: Revert python-oslo.i18n and python-oslo.utils
    to >= 1.0.0.
  * d/p/skip-pysaml2.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 15:00:17 -0500
