=== debian/control ===
--- 
+++ 
@@ -80,13 +80,15 @@
  python-oauthlib (>= 0.6),
  python-oslo.config (>= 1:1.4.0~a3),
  python-oslo.messaging (>= 1.4.0~a3),
- python-oslo.db (>= 0.2.0),
- python-oslo.i18n (>= 0.1.0),
- python-oslo.utils (>= 0.1.1),
+ python-oslo.db (>= 1.0.0),
+ python-oslo.i18n (>= 1.0.0),
+ python-oslo.serialization (>= 1.0.0),
+ python-oslo.utils (>= 1.0.0),
  python-pam (>= 0.1.4),
  python-passlib,
  python-paste,
  python-pastedeploy,
+ python-pbr (>= 0.6),
  python-posix-ipc,
  python-pycadf (>= 0.6.0),
  python-routes (>= 1.12.3),
