## keystone 2015.1~rc1

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 pep8,
 po-debconf,
 python-all (>= 2.6),
 python-babel (>= 1.3),
 python-coverage (>= 3.6),
 python-cryptography (>= 0.8),
 python-dogpile.cache (>= 0.5.3),
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.10.0),
 python-iso8601 (>= 0.1.9),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.4.8),
 python-ldappool,
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache (>= 1.48),
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-msgpack (>= 0.4.0),
 python-netaddr (>= 0.7.12),
 python-nose,
 python-oauthlib (>= 0.6),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-passlib,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-pycadf (>= 0.8.0),
 python-pymongo (>= 2.5),
 python-pysaml2,
 python-requests (>= 2.2.0),
 python-routes (>= 1.12.3),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-testtools (>= 0.9.36),
 python-tempest-lib (>= 0.4.0),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/kilo
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends:
 python-babel (>= 1.3),
 python-cryptography (>= 0.8),
 python-dogpile.cache (>= 0.5.3),
 python-eventlet (>= 0.16.1),
 python-greenlet (>= 0.3.2),
 python-iso8601 (>= 0.1.9),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.4.8),
 python-ldap (>= 2.4),
 python-ldappool (>= 1.0),
 python-migrate (>= 0.9.1),
 python-msgpack (>= 0.4.0),
 python-netaddr (>= 0.7.12),
 python-oauthlib (>= 0.6),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-pam (>= 0.1.4),
 python-passlib,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-pycadf (>= 0.8.0),
 python-routes (>= 1.12.3),
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-memcache, python-pysaml2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 python-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.
