=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,15 @@
 
 # Verbose mode
 #export DH_VERBOSE=1
+
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 # auth_token middleware now requires access to HOME, otherwise
 # test suite cause FTBFS.  See (LP: #1031022)
 export HOME="$(CURDIR)/debian/tests/"
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,systemd
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -32,9 +34,6 @@
 	sphinx-build -b html doc/source doc/build/html
 endif
 
-override_dh_python2:
-	dh_python2 --no-guessing-deps
-
 override_dh_install:
 	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc
@@ -42,6 +41,7 @@
 	rm -rf debian/python-keystone/usr/lib/python*/*/examples
 	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
 	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf
+	install -D -m 0644 $(CURDIR)/httpd/keystone.py $(CURDIR)/debian/python-keystone/usr/share/keystone/wsgi.py
 
 override_dh_clean:
 	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
@@ -53,6 +53,7 @@
 	# should be fixed upstream or updated here post-essex 
 	rm -rf $(CURDIR)/doc/source/keystone*.rst
 	rm -rf $(CURDIR)/doc/source/modules.rst
+	rm -f debian/*.init debian/*.service debian/*.upstart
 	dh_clean
 
 get-orig-source:
