## keystone 2015.1%7erc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
WebOb>=1.2.3
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
netaddr>=0.7.12
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3,!=2.0
cryptography>=0.8 # Apache-2.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
passlib
iso8601>=0.1.9
python-keystoneclient>=1.1.0
keystonemiddleware>=1.5.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oauthlib>=0.6
pysaml2
dogpile.cache>=0.5.3
jsonschema>=2.0.0,<3.0.0
pycadf>=0.8.0
posix_ipc
msgpack-python>=0.4.0
