## keystone 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
WebOb>=1.2.3
eventlet!=0.17.0,>=0.16.1
greenlet>=0.3.2
netaddr>=0.7.12
PasteDeploy>=1.5.0
Paste
Routes!=2.0,>=1.12.3
cryptography>=0.8 # Apache-2.0
six>=1.9.0
SQLAlchemy<=0.9.99,>=0.9.7
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
passlib
iso8601>=0.1.9
python-keystoneclient<1.4.0,>=1.2.0
keystonemiddleware<1.6.0,>=1.5.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
oslo.policy<0.4.0,>=0.3.1 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
oauthlib>=0.6
pysaml2
dogpile.cache>=0.5.3
jsonschema<3.0.0,>=2.0.0
pycadf<0.9.0,>=0.8.0
posix-ipc
msgpack-python>=0.4.0
