=== debian/changelog ===
keystone (1:2015.1.2-0ubuntu2) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (8a2da01) (LP: #1506058):
    - [8a2da01] Reject rule if assertion type unset
    - [9dfad21] Validate domain ownership for v2 tokens
    - [8bd9b22] Maintain the expiry of v2 fernet tokens
    - [aa3354e] Fernet 'expires' value loses 'ms' after validation
    - [0ed33e3] Test to ensure fernet key rotation results in new key sets
    - [2f580e4] Reduce number of Fernet log messages
    - [6c106e9] Handle non-numeric files in key_repository
    - [fb7f4a7] Replace 401 to 404 when token is invalid
    - [a1e20fb] Additional Fernet test coverage
    - [cfbc0f1] Tests for correct key removed
    - [c6ec36b] Add unit test for fernet provider
    - [17b7dbc] Add unit test to exercise key rotation
    - [7498154] Fix Fernet key rotation
    - [1608f72] Refactor: move PKI-specific tests into the appropriate class
    - [a9726d2] Don't assume project IDs are UUID format
    - [f8afb29] Don't assume group IDs are UUID format
    - [b255b8f] Don't fail on converting user ids to bytes
    - [0fde127] Properly stub out the V2 and V3 XML middlewares
    - [666be4d] Fix for LDAP filter on group search by name
    - [bc96d9f] Make sure LDAP filter is constructed correctly
    - [0fe2b70] Do not remove expired revocation events on "get"
    - [20fd5af] Fix WSGI request logging
    - [e9aa267] Add openstack_user_domain to assertion

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.
  * d/control: Move python-pysaml2 to Depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Oct 2015 08:54:19 -0400

keystone (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (54400bf) (LP: #1481008):
    - [c4dc133] Mask passwords in debug log on user password operations
    - [fba2d5c] Add test showing password logged
    - [afaaf11] Fix xmldsig import
    - [ec30329] Pass-in domain when testing saml signing
    - [0c0bf69] Add openstack_project_domain to assertion
    - [dafe5f9] Fix signed_saml2_assertion.xml tests fixture
    - [67cda0c] Eventlet green threads not released back to pool
    - [54400bf] Remove project association before removing endpoint group

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2015 14:30:05 -0400
