=== debian/control ===
--- 
+++ 
@@ -109,13 +109,14 @@
  python-pbr (>= 0.6),
  python-posix-ipc,
  python-pycadf (>= 0.8.0),
+ python-pysaml2,
  python-routes (>= 1.12.3),
  python-six (>= 1.9.0),
  python-sqlalchemy (>= 0.9.7),
  python-webob (>= 1.2.3),
  ${misc:Depends},
  ${python:Depends}
-Suggests: python-memcache, python-pysaml2
+Suggests: python-memcache
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: OpenStack identity service - Python library
