=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	sphinx-build -b html doc/source doc/build/html
 endif
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc
