## keystone 2015.1.4

=== debian/changelog ===
keystone (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 17:00:20 -0400

keystone (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 19:59:35 +0000
